<?php
  /*
  Plugin name: Wundercoach Seminarliste
  Plugin URI: http://wundercoach.net/plugins/wordpress
  Description: Plugin zur Einbindung Ihrer Seminarliste in Ihre Wordpress-Website.
  Author: Wundercoach UG
  Author URI: http://wundercoach.net
  Version: 0.9.0
  */

  // Call wundercoach_setup_menu function to load plugin menu in dashboard
  add_action( 'admin_menu', 'wundercoach_setup_menu' );

  // Create WordPress admin menu
  if( !function_exists("wundercoach_setup_menu") )
  {
  function wundercoach_setup_menu(){

    $page_title = 'Wundercoach Seminarliste';
    $menu_title = 'Wundercoach Seminarliste';
    $capability = 'manage_options';
    $menu_slug  = 'extra-post-info';
    $function   = 'wundercoach_iframe_page';
    $icon_url   = 'dashicons-media-code';
    $position   = 4;

    add_menu_page( $page_title,
                   $menu_title,
                   $capability,
                   $menu_slug,
                   $function,
                   $icon_url,
                   $position );

    // Call wundercoach_iframe_info function to update database
    add_action( 'admin_init', 'wundercoach_iframe_info' );

  }
  }

  // Create function to register plugin settings in the database
  if( !function_exists("wundercoach_iframe_info") )
  {
    function wundercoach_iframe_info() {
      register_setting( 'extra-post-info-settings', 'wundercoach_id' );
      register_setting( 'extra-post-info-settings', 'wundercoach_iframe_width' );
      register_setting( 'extra-post-info-settings', 'wundercoach_iframe_height' );
    }
  }

  // Create WordPress plugin page
  if( !function_exists("wundercoach_iframe_page") )
  {
  function wundercoach_iframe_page(){
  ?>
    <img src="http://wundercoach.net/wp-content/uploads/wundercoach_logo.png" width="120px;">
    <h1>Wundercoach Seminarliste</h1>
    <p>Fügen Sie den Shortcode [Wundercoach] in Ihre Wordpress-Seite an der Stelle ein, an der Sie Ihre Seminarliste ausgeben wollen.<br>Am besten wählen Sie dafür eine Seite, die über die ganze Breite geht und keine Spalte rechts oder links hat.</p>
    <form method="post" action="options.php">
      <?php settings_fields( 'extra-post-info-settings' ); ?>
      <?php do_settings_sections( 'extra-post-info-settings' ); ?>
      <table class="form-table">
        <tr valign="top">
        <th scope="row">Wundercoach Subdomain oder Kundennummer:</th>
        <td>
        <input type="text" name="wundercoach_id" value="<?php echo get_option('wundercoach_id'); ?>"/>
        <br>
        </td>
        </tr>
        <tr valign="top">
        <th scope="row">iframe - Breite (100%):</th>
        <td><input type="text" name="wundercoach_iframe_width" value="<?php echo get_option('wundercoach_iframe_width'); ?>"/></td>
        </tr>
        <tr valign="top">
        <th scope="row">iframe - Höhe (1200px):</th>
        <td>
          <input type="text" name="wundercoach_iframe_height" value="<?php echo get_option('wundercoach_iframe_height'); ?>"/>
          <p>Geben Sie die gewünschte Höhe des Rahmens (iframe) der Seminarliste in Pixeln ein, z.B. so: 1200px. Sie können diesen Wert jederzeit ämnder. Probieren Sie, welche Höhe am besten für Ihr Webdesign passt.</p>
        </td>
        </tr>
      </table>
    <?php submit_button("Speichern"); ?>
    </form>
    <p>Sie haben noch keinen Wundercoach - Zugang? <a href=\"https://go.wundercoach.net/de/register/new\" target=\"_blank\">Hier können Sie einen anlegen.</a></p>
  <?php
  }
  }

  // Plugin logic for adding extra info to posts
  if( !function_exists("wundercoach_id") )
  {
    function wundercoach_id()
    {
      return get_option('wundercoach_id');
    }
  }

  // put shortcode [Wundercoach] to work
  add_shortcode( "Wundercoach", "wundercoach_get_iframe");

  // generate and return the iframe code
  if( !function_exists("wundercoach_get_iframe") ) {
    function wundercoach_get_iframe() {
      $extra_info = get_option('wundercoach_id');
      $wundercoach_iframe_width = get_option('wundercoach_iframe_width');
      $wundercoach_iframe_height = get_option('wundercoach_iframe_height');
      return "<iframe width=\"".$wundercoach_iframe_width."\" height=\"".$wundercoach_iframe_height."\" style=\"border: 0px;\" src=\"https://".$extra_info.".wundercoach.net/de/signup\">";
    }
  }

  // generate and return the wundercoach link
  if( !function_exists("wundercoach_get_link") ) {
    function wundercoach_get_link() {
      $extra_info = get_option('wundercoach_id');
      return "https://".$extra_info.".wundercoach.net/de/signup";
    }
  }

?>
